Subject: Segmentation fault

From: Igor Sysoev <[email-masked]>
Date: Thu, 1 May 2003 20:37:12 +0400 (MSD)

It's seems that EAPI 2.8.13-1.3.27's fix:

   *) Correctly shutdown shared memory pools on fork+exec situations.

causes a segmentation fault on Apache's startup if error log is piped.

To reproduce the fault set the directive

ErrorLog "|cat>/tmp/error_log"

and use some module that creates the shared pool and allocates a memory
from it on the init module phase.

Igor Sysoev
http://sysoev.ru/en/

______________________________________________________________________
Apache Interface to OpenSSL (mod_ssl)                   www.modssl.org
User Support Mailing List                      [email-masked]
Automated List Manager                            [email-masked]